function [mu , sigma2] = estimateGaussian(X)

%   [mu sigma2] = ESTIMATEGAUSSIAN(X)
%   The input X is the dataset with each n-dimensional data point in one row (examples)
%   We want to estimate the Gaussian distribution for each of the feature (column)
%   The output are n x 1 vectors :  mu (the means of the data set)
%                                   sigma2 (the variances  of the data set)
%   In particular:  mu(i) should contain the mean of the data for the i-th feature 
%                   sigma2(i) should contain variance of the i-th feature.
%   size(X) = ( number of examples , number of features )

mu = mean(X,1); mu = mu(:);
sigma2 = std(X,1).^2; sigma2 = sigma2(:);

end
