function [bestEpsilon , bestF1] = selectThreshold(yval, pval)

%   [bestEpsilon bestF1] = SELECTTHRESHOLD(yval, pval) finds the best threshold
%   to use for selecting outliers based on the results from
%   a cros validation set (pval) and the ground truth (yval).
%   label yval = 1 -> anomalous example ; yval = 0 -> normal example

bestEpsilon = 0;
bestF1 = 0;
stepsize = (max(pval) - min(pval)) / 1000;
for epsilon = min(pval):stepsize:max(pval)
    % Binary vector of 0's and 1's of the outlier predictions
    % ceux qui ont une proba < epsilon seront les mauvais -> 1
    predictions = (pval < epsilon);
    % Calcul du F1 score
    TruePos = nnz(predictions.*yval);
    FalsePos = nnz(predictions.*(~yval));
    FalseNeg = nnz((~predictions).*yval);
    Prec = TruePos/(TruePos + FalsePos);
    Recall = TruePos/(TruePos + FalseNeg);
    F1 = 2*Prec*Recall/(Prec + Recall);
    if F1 > bestF1
       bestF1 = F1;
       bestEpsilon = epsilon;
    end
end

end
